import 'package:flutter/material.dart';
import 'package:cached_network_image/cached_network_image.dart';

class FavoriteAvatars extends StatelessWidget {
  final List favorites;
  final Brightness brightness;

  const FavoriteAvatars({
    super.key,
    required this.favorites,
    required this.brightness,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        ...favorites.map((favorite) {
          return Container(
            height: 32,
            width: 32,
            margin: const EdgeInsets.only(right: 5.0),
            decoration: BoxDecoration(
              border: Border.all(
                color: brightness == Brightness.dark
                    ? Colors.white
                    : Colors.black,
                width: 1.0,
              ),
            ),
            child: CachedNetworkImage(
              imageUrl: favorite.avatarUrl,
              fit: BoxFit.cover,
            ),
          );
        }),
      ],
    );
  }
}
